Survey: GALEX GCAT (ASC & MSC)

Telescope: GALEX

Instrument: GALEX

Filters: GALEX-FUV & GALEX-NUV

Fields: All HELP Fields

P.I.: Chris Martin

Reference: 2005ApJ...619L...1M

URL: http://galex.stsci.edu/
